<div class='input slide slideshow-slide js--slide container-fluid'>
	<div class="slide-content col-xs-9" <?= !empty($slide['id']) ? ' data-id="' . $slide['id'] . '"' : '' ?><?= !empty($slide['sequence']) ? ' data-sequence="' . $slide['sequence'] . '"' : '' ?> >
		<?php
			if(!empty($slide['id'])):
				echo $this->Form->addField('Slide.' . $slideKey . '.id', [
					'type' => 'hidden',
					'value' => $slide['id']
				]);
			endif;

			if (!isset($slideKey) || empty($slideKey)):
				$slideKey = 0;
			endif;

			if (!empty($fields)):
				foreach ($fields as $fieldname => $fieldSettings):
					if ($fieldSettings !== false):
						// fix layout of checkboxes
						if (!empty($fieldSettings['type']) && $fieldSettings['type'] == 'checkbox'):
							$fieldSettings['wrapInput'] = 'col-xs-12 col-sm-10 col-md-9 col-md-offset-3';
						endif;

						echo $this->Form->addField('Slide.' . $slideKey . '.' . $fieldname, $fieldSettings);
					endif;
				endforeach;
			endif;


			$images = [];
			if (!empty($slide['Image'])):
				$images = $slide['Image'];
			endif;

			echo $this->Element(
				'Forms/image_fields',
				array(
	                'imageSection' => 'main',
	                'imageSlots' => $slideImageSlots,
	                'prefix' => 'Slide.' . $slideKey . '.',
	                'model' => 'Slide',
	                'images' => $images
	            )
			);
		?>
	</div>

	<?php if(!isset($reorder) || $reorder): ?>
		<label class="reorder col-xs-1">
			&nbsp;
		</label>
	<?php endif; ?>

	<div class="slide-delete col-xs-2">
		<?php
			if (!empty($slide['id'])):
				$url = $this->Html->url(array('controller' => 'slides', 'action'=>'remove', $slide['id'], 'ajax' => true, 'plugin' => false));
			else:
				$url = '#';
			endif;

			echo '<a href="' . $url . '" class="delete-slide btn btn-sm btn-danger">';
				echo '<i class="fa fa-times"></i>';
				echo ' Delete Slide';
			echo '</a>';
		 ?>
	</div>
</div>
